// Copyright (c) 2023 Codemongous LLC. All Rights Reserved.

#include "SourcifyEditorCommands.h"
#include "Styling/AppStyle.h"

//////////////////////////////////////////////////////////////////////////
// FSourcifyEditorCommands

#define LOCTEXT_NAMESPACE "SourcifyEditorCommands"

FSourcifyEditorCommands::FSourcifyEditorCommands() : TCommands<FSourcifyEditorCommands>(
	"SourcifyEditorCommands",
	NSLOCTEXT("Contexts", "SourcifyEditorCommands", "Sourcify Graph"),
	NAME_None, 
	FAppStyle::GetAppStyleSetName())
{
}

void FSourcifyEditorCommands::RegisterCommands()
{
	UI_COMMAND(ViewReferences, "Reference Viewer...", "Launches the reference viewer showing the selected assets' references", EUserInterfaceActionType::Button, FInputChord(EModifierKey::Shift | EModifierKey::Alt, EKeys::R));
	UI_COMMAND(OpenSelectedInAssetEditor, "Edit...", "Opens the selected asset in the relevant editor.", EUserInterfaceActionType::Button, FInputChord(EModifierKey::Control, EKeys::E));
	UI_COMMAND(ZoomToFit, "Zoom to Fit", "Zoom in and center the view on the selected item", EUserInterfaceActionType::Button, FInputChord(EKeys::F));
	UI_COMMAND(ShowReferenceTree, "Show Reference Tree", "Shows a reference tree for the selected asset.", EUserInterfaceActionType::Button, FInputChord());
}

#undef LOCTEXT_NAMESPACE
